Finance::Quote::MarketWatch(3pm)

NAME
Finance::Quote::MarketWatch - Obtain quotes from MarketWatch Website

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    %info = $q->fetch("marketwatch", "aapl");  # Only query marketwatch

    %info = $q->fetch("nyse", "f");     # Failover to other sources OK.

DESCRIPTION
This module fetches information from <https://www.marketwatch.com/>.

This module is loaded by default on a Finance::Quote object. It's also possible to load it explicitly by placing "marketwatch" in the argument list to Finance::Quote->new().

This module provides "marketwatch", "nyse", and "nasdaq" fetch methods.

LABELS RETURNED
The following labels are returned:

name
symbol
last
date
currency